"use strict";

require("core-js/modules/es6.object.define-property");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NotificationListSpacer = NotificationListSpacer;
exports.default = NotificationList;

require("core-js/modules/es6.array.map");

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _theming = require("@storybook/theming");

var _NotificationItem = _interopRequireWildcard(require("./NotificationItem"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var List = _theming.styled.div({
  '> * + *': {
    marginTop: 10
  },
  '&:empty': {
    display: 'none'
  }
});

function NotificationListSpacer(_ref) {
  var notifications = _ref.notifications;
  return _react.default.createElement(List, null, notifications.map(function (notification) {
    return _react.default.createElement(_NotificationItem.NotificationItemSpacer, {
      key: notification.id
    });
  }));
}

NotificationListSpacer.displayName = "NotificationListSpacer";
NotificationListSpacer.propTypes = {
  notifications: _propTypes.default.arrayOf(_propTypes.default.shape({
    id: _propTypes.default.string.isRequired
  }).isRequired).isRequired
};

function NotificationList(_ref2) {
  var notifications = _ref2.notifications;
  return _react.default.createElement(List, null, notifications.map(function (notification) {
    return _react.default.createElement(_NotificationItem.default, {
      key: notification.id,
      notification: notification
    });
  }));
}

NotificationList.displayName = "NotificationList";
NotificationList.propTypes = {
  notifications: _propTypes.default.arrayOf(_propTypes.default.shape({
    id: _propTypes.default.string.isRequired
  }).isRequired).isRequired
};