"use strict";

require("core-js/modules/es6.object.define-property");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Notifications = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _theming = require("@storybook/theming");

var _NotificationList = _interopRequireWildcard(require("./NotificationList"));

var _SidebarHeading = _interopRequireDefault(require("./SidebarHeading"));

var _SidebarStories = _interopRequireDefault(require("./SidebarStories"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Heading = (0, _theming.styled)(_SidebarHeading.default)({
  padding: '20px 20px 12px'
});
var Stories = (0, _theming.styled)(_SidebarStories.default)(function (_ref) {
  var loading = _ref.loading;
  return loading ? {
    marginTop: 8
  } : {};
});

var Container = _theming.styled.nav({
  position: 'absolute',
  zIndex: 1,
  left: 0,
  top: 0,
  bottom: 0,
  right: 0,
  width: '100%',
  height: '100%',
  overflowY: 'auto',
  overflowX: 'hidden'
});

var Foot = _theming.styled.div({});

var Notifications = _theming.styled.div({
  position: 'fixed',
  display: 'block',
  bottom: 20,
  left: 20,
  margin: 0,
  padding: 0,
  width: '20%',
  minWidth: 200,
  maxWidth: 280,
  zIndex: 2
});

exports.Notifications = Notifications;

var Sidebar = function Sidebar(_ref2) {
  var storyId = _ref2.storyId,
      _ref2$notifications = _ref2.notifications,
      notifications = _ref2$notifications === void 0 ? [] : _ref2$notifications,
      stories = _ref2.stories,
      menu = _ref2.menu,
      menuHighlighted = _ref2.menuHighlighted,
      loading = _ref2.loading;
  return _react.default.createElement(Container, {
    className: "container"
  }, _react.default.createElement(Heading, {
    menuHighlighted: menuHighlighted,
    menu: menu
  }), _react.default.createElement(Stories, {
    stories: stories,
    storyId: storyId,
    loading: loading
  }), _react.default.createElement(Foot, null, _react.default.createElement(_NotificationList.NotificationListSpacer, {
    notifications: notifications
  })), _react.default.createElement(Notifications, null, _react.default.createElement(_NotificationList.default, {
    notifications: notifications
  })));
};

Sidebar.displayName = "Sidebar";
Sidebar.propTypes = {
  stories: _propTypes.default.shape({}).isRequired,
  storyId: _propTypes.default.string,
  notifications: _propTypes.default.arrayOf(_propTypes.default.shape({})).isRequired,
  menu: _propTypes.default.arrayOf(_propTypes.default.shape({})).isRequired,
  menuHighlighted: _propTypes.default.bool,
  loading: _propTypes.default.bool
};
Sidebar.defaultProps = {
  storyId: undefined,
  menuHighlighted: false,
  loading: false
};
Sidebar.displayName = 'Sidebar';
var _default = Sidebar;
exports.default = _default;