"use strict";

require("core-js/modules/es6.object.define-property");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/es6.array.index-of");

require("core-js/modules/web.dom.iterable");

require("core-js/modules/es6.array.iterator");

require("core-js/modules/es6.object.keys");

require("core-js/modules/es6.array.map");

require("core-js/modules/es6.object.assign");

require("core-js/modules/es6.string.bold");

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _recompose = require("recompose");

var _theming = require("@storybook/theming");

var _components = require("@storybook/components");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var BrandArea = _theming.styled.div(function (_ref) {
  var theme = _ref.theme;
  return {
    fontSize: theme.typography.size.s2,
    fontWeight: theme.typography.weight.bold,
    '> *': {
      maxHeight: 32,
      maxWidth: 200,
      height: 'auto',
      width: 'auto',
      display: 'block'
    }
  };
});

var Logo = (0, _theming.styled)(_components.StorybookLogo)({
  width: 'auto',
  height: 22,
  display: 'block'
});

var LogoLink = _theming.styled.a({
  display: 'block',
  color: 'inherit',
  textDecoration: 'none'
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.animation.hoverable;
});

var MenuButton = (0, _theming.styled)(_components.Button)(function (props) {
  return Object.assign({
    position: 'relative',
    overflow: 'visible',
    padding: 7
  }, props.highlighted && {
    '&:after': {
      content: '""',
      position: 'absolute',
      top: 0,
      right: 0,
      width: 8,
      height: 8,
      borderRadius: 8,
      background: "".concat(props.theme.color.positive)
    }
  });
});

var Head = _theming.styled.div({
  display: 'flex',
  alignItems: 'center',
  justifyContent: 'space-between'
});

var _ref4 =
/*#__PURE__*/
_react.default.createElement(BrandArea, null, _react.default.createElement(LogoLink, {
  href: "./"
}, _react.default.createElement(Logo, null)));

var Brand = (0, _theming.withTheme)(function (_ref3) {
  var brand = _ref3.theme.brand;
  return brand ? _react.default.createElement(BrandArea, {
    dangerouslySetInnerHTML: {
      __html: brand
    }
  }) : _ref4;
});

var _ref6 =
/*#__PURE__*/
_react.default.createElement(Brand, null);

var _ref7 =
/*#__PURE__*/
_react.default.createElement(_components.Icons, {
  icon: "ellipsis"
});

var SidebarHeading = (0, _recompose.withState)('tooltipShown', 'onVisibilityChange', false)(function (_ref5) {
  var menuHighlighted = _ref5.menuHighlighted,
      menu = _ref5.menu,
      tooltipShown = _ref5.tooltipShown,
      onVisibilityChange = _ref5.onVisibilityChange,
      props = _objectWithoutProperties(_ref5, ["menuHighlighted", "menu", "tooltipShown", "onVisibilityChange"]);

  return _react.default.createElement(Head, props, _ref6, _react.default.createElement(_components.WithTooltip, {
    placement: "top",
    trigger: "click",
    tooltipShown: tooltipShown,
    onVisibilityChange: onVisibilityChange,
    tooltip: _react.default.createElement(_components.TooltipLinkList, {
      links: menu.map(function (i) {
        return Object.assign({}, i, {
          onClick: function onClick() {
            return onVisibilityChange(false) || i.onClick.apply(i, arguments);
          }
        });
      })
    }),
    closeOnClick: true
  }, _react.default.createElement(MenuButton, {
    outline: true,
    small: true,
    containsIcon: true,
    highlighted: menuHighlighted
  }, _ref7)));
});
exports.default = SidebarHeading;
SidebarHeading.propTypes = {
  menuHighlighted: _propTypes.default.bool,
  menu: _propTypes.default.arrayOf(_propTypes.default.shape({})).isRequired
};
SidebarHeading.defaultProps = {
  menuHighlighted: false
};